Bug 175033 - editors/vile: Update to version 9.8i
Summary: editors/vile: Update to version 9.8i
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-08 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (36.35 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff
editors_vile.diff (35.62 KB, patch)
2013-01-06 17:51 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:09 UTC
- Update to version 9.8i

Remove file:
pkg-plist.filt
pkg-plist.perl
pkg-plist.perl+filt
Comment 1 tkato432 2013-01-06 17:51:37 UTC
Remake of the patch against current tree.
Comment 2 Marcelo Araujo freebsd_committer 2013-01-18 06:13:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-02-08 02:03:11 UTC
State Changed
From-To: open->closed
Comment 4 Martin Wilke freebsd_committer 2013-02-08 02:03:11 UTC
Responsible Changed
From-To: araujo->miwi

committed.
Comment 5 dfilter service freebsd_committer 2013-02-08 02:03:16 UTC
Author: miwi
Date: Fri Feb  8 02:03:06 2013
New Revision: 311901
URL: http://svnweb.freebsd.org/changeset/ports/311901

Log:
  - Update to 9.8i
  
  PR:		175033
  Submitted by:	Ports Fury

Deleted:
  head/editors/vile/pkg-plist.filt
  head/editors/vile/pkg-plist.perl
  head/editors/vile/pkg-plist.perl+filt
Modified:
  head/editors/vile/Makefile
  head/editors/vile/distinfo   (contents, props changed)
  head/editors/vile/pkg-descr   (contents, props changed)
  head/editors/vile/pkg-plist   (contents, props changed)

Modified: head/editors/vile/Makefile
==============================================================================
--- head/editors/vile/Makefile	Fri Feb  8 01:59:59 2013	(r311900)
+++ head/editors/vile/Makefile	Fri Feb  8 02:03:06 2013	(r311901)
@@ -2,61 +2,69 @@
 # $FreeBSD$
 
 PORTNAME=	vile
-PORTVERSION=	9.8g
+PORTVERSION=	9.8i
 CATEGORIES=	editors
 MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
-		ftp://invisible-island.net/vile/current/ \
-		ftp://ftp.phred.org/pub/vile/current/
+		ftp://invisible-island.net/vile/current/
 EXTRACT_SUFX=	.tgz
 
 PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
-PATCHFILES=
+PATCHFILES=	# none
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	VI Like Emacs.  a vi "workalike", with many additional features
+COMMENT=	VI Like Emacs -- console version
 
-MAKEFILE=	makefile
-GNU_CONFIGURE=	yes
-MAN1=		vile.1
-MAKE_JOBS_SAFE=	yes
+LICENSE=	GPLv2
 
 OPTIONS_DEFINE=	FILTERS ICONV PERL DOCS
 FILTERS_DESC=	Loadable filters
 
+GNU_CONFIGURE=	yes
+MAKEFILE=	makefile
+MAKE_JOBS_SAFE=	yes
+
+MAN1=		vile.1
+
+CONFLICTS_INSTALL=	xvile-[0-9]*
+
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MFILTERS}
+CONFIGURE_ARGS+=	--with-loadable-filters
+PLIST_SUB+=	SO_EXT=".so"
+.else
+PLIST_SUB+=	SO_EXT=""
+.endif
+
 .if ${PORT_OPTIONS:MICONV}
-CONFIGURE_ARGS+=	--with-iconv
 USE_ICONV=	yes
+CONFIGURE_ARGS+=	--with-iconv
+PLIST_SUB+=	ICONV=""
 .else
-CONFIGURE_ARGS+=	--without-iconv
-CONFIGURE_ARGS+=	--without-locale
+CONFIGURE_ARGS+=	--without-iconv --without-locale
+PLIST_SUB+=	ICONV="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPERL}
-CONFIGURE_ARGS+=	--with-perl
-PLIST=		${PKGDIR}/pkg-plist.perl
 USE_PERL5=	yes
+CONFIGURE_ARGS+=	--with-perl
+PLIST_SUB+=	PERL=""
+.else
+PLIST_SUB+=	PERL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MFILTERS}
-CONFIGURE_ARGS+=	--with-loadable-filters
-PLIST=		${PKGDIR}/pkg-plist.filt
-.endif
-
-.if ${PORT_OPTIONS:MPERL} && ${PORT_OPTIONS:MFILTERS}
-PLIST=		${PKGDIR}/pkg-plist.perl+filt
-.endif
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^DOCDIR|#DOCDIR|' ${WRKSRC}/makefile.in
+	@${REINPLACE_CMD} -e \
+		's|^#!.*|#!${PERL}|' ${WRKSRC}/perl/vileget
 
 post-install:
+	@${MKDIR} ${DATADIR}/macros
+	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.rc ${DATADIR}/macros)
 .if ${PORT_OPTIONS:MDOCS}
-	@if ! [ -d ${PREFIX}/share/doc/vile ]; then ${MKDIR} ${PREFIX}/share/doc/vile; fi
-	${INSTALL_DATA} ${WRKSRC}/doc/*.doc ${PREFIX}/share/doc/vile
+	@${MKDIR} ${DOCSDIR}
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} *.doc ${DOCSDIR})
 .endif
-	@if ! [ -d ${PREFIX}/share/vile/macros ]; then ${MKDIR} ${PREFIX}/share/vile/macros; fi
-	${INSTALL_DATA} ${WRKSRC}/macros/*.rc ${PREFIX}/share/vile/macros
-	${INSTALL_SCRIPT} ${WRKSRC}/macros/vile-pager ${PREFIX}/share/vile/macros
-	@${ECHO_MSG} "Look in ${PREFIX}/share/doc/vile for documentation."
-	@${ECHO_MSG} "Look in ${PREFIX}/share/vile/macros for macros."
 
 .include <bsd.port.mk>

Modified: head/editors/vile/distinfo
==============================================================================
--- head/editors/vile/distinfo	Fri Feb  8 01:59:59 2013	(r311900)
+++ head/editors/vile/distinfo	Fri Feb  8 02:03:06 2013	(r311901)
@@ -1,2 +1,2 @@
-SHA256 (vile-9.8g.tgz) = 7644909e2a64d85c6a3a45d1ad8bb18bce937119507fcc66d705aab8d4522be7
-SIZE (vile-9.8g.tgz) = 2220840
+SHA256 (vile-9.8i.tgz) = b4279e5c55579b2b3a6f12493587ca7fc69e6ae5c749e913113ea97c374d3a42
+SIZE (vile-9.8i.tgz) = 2254730

Modified: head/editors/vile/pkg-descr
==============================================================================
--- head/editors/vile/pkg-descr	Fri Feb  8 01:59:59 2013	(r311900)
+++ head/editors/vile/pkg-descr	Fri Feb  8 02:03:06 2013	(r311901)
@@ -1,4 +1,3 @@
-
 vile is a text editor which is extremely compatible with vi in terms of
 "finger feel".  in addition, it has extended capabilities in many areas,
 notably: 
@@ -15,3 +14,5 @@ notably: 
 	auxiliary utilities for man page and C program syntax highlighting
 	built-in macro language
 	portability to all UNIX platforms, VMS, DOS, Win32, OS/2
+
+WWW: http://invisible-island.net/vile/

Modified: head/editors/vile/pkg-plist
==============================================================================
--- head/editors/vile/pkg-plist	Fri Feb  8 01:59:59 2013	(r311900)
+++ head/editors/vile/pkg-plist	Fri Feb  8 02:03:06 2013	(r311901)
@@ -1,220 +1,248 @@
 bin/vile
 bin/vile-pager
+%%PERL%%bin/vileget
 lib/vile/atr2ansi
 lib/vile/atr2html
 lib/vile/atr2text
-lib/vile/vile-ada-filt
-lib/vile/vile-as-filt
-lib/vile/vile-asm-filt
-lib/vile/vile-au3-filt
-lib/vile/vile-awk-filt
-lib/vile/vile-basic-filt
-lib/vile/vile-bat-filt
-lib/vile/vile-bnf-filt
-lib/vile/vile-c-filt
-lib/vile/vile-cfg-filt
-lib/vile/vile-conf-filt
+lib/vile/vile-ada-filt%%SO_EXT%%
+lib/vile/vile-as-filt%%SO_EXT%%
+lib/vile/vile-asm-filt%%SO_EXT%%
+lib/vile/vile-au3-filt%%SO_EXT%%
+lib/vile/vile-awk-filt%%SO_EXT%%
+lib/vile/vile-basic-filt%%SO_EXT%%
+lib/vile/vile-bat-filt%%SO_EXT%%
+lib/vile/vile-bnf-filt%%SO_EXT%%
+lib/vile/vile-c-filt%%SO_EXT%%
+lib/vile/vile-cfg-filt%%SO_EXT%%
+lib/vile/vile-conf-filt%%SO_EXT%%
 lib/vile/vile-crypt
-lib/vile/vile-css-filt
-lib/vile/vile-cweb-filt
-lib/vile/vile-dcl-filt
-lib/vile/vile-def-filt
-lib/vile/vile-diff-filt
-lib/vile/vile-ecl-filt
-lib/vile/vile-erl-filt
-lib/vile/vile-esql-filt
-lib/vile/vile-est-filt
-lib/vile/vile-fdl-filt
-lib/vile/vile-hs-filt
-lib/vile/vile-html-filt
-lib/vile/vile-imake-filt
-lib/vile/vile-info-filt
-lib/vile/vile-ini-filt
-lib/vile/vile-iss-filt
-lib/vile/vile-key-filt
-lib/vile/vile-latex-filt
-lib/vile/vile-lex-filt
-lib/vile/vile-lisp-filt
-lib/vile/vile-lua-filt
-lib/vile/vile-m4-filt
-lib/vile/vile-mail-filt
-lib/vile/vile-mailcap-filt
-lib/vile/vile-make-filt
+lib/vile/vile-css-filt%%SO_EXT%%
+lib/vile/vile-cweb-filt%%SO_EXT%%
+lib/vile/vile-dcl-filt%%SO_EXT%%
+lib/vile/vile-def-filt%%SO_EXT%%
+lib/vile/vile-diff-filt%%SO_EXT%%
+lib/vile/vile-ecl-filt%%SO_EXT%%
+lib/vile/vile-erl-filt%%SO_EXT%%
+lib/vile/vile-esql-filt%%SO_EXT%%
+lib/vile/vile-est-filt%%SO_EXT%%
+lib/vile/vile-fdl-filt%%SO_EXT%%
+lib/vile/vile-hs-filt%%SO_EXT%%
+lib/vile/vile-html-filt%%SO_EXT%%
+lib/vile/vile-imake-filt%%SO_EXT%%
+lib/vile/vile-info-filt%%SO_EXT%%
+lib/vile/vile-ini-filt%%SO_EXT%%
+lib/vile/vile-iss-filt%%SO_EXT%%
+lib/vile/vile-key-filt%%SO_EXT%%
+lib/vile/vile-latex-filt%%SO_EXT%%
+lib/vile/vile-lex-filt%%SO_EXT%%
+lib/vile/vile-lisp-filt%%SO_EXT%%
+lib/vile/vile-lua-filt%%SO_EXT%%
+lib/vile/vile-m4-filt%%SO_EXT%%
+lib/vile/vile-mail-filt%%SO_EXT%%
+lib/vile/vile-mailcap-filt%%SO_EXT%%
+lib/vile/vile-make-filt%%SO_EXT%%
 lib/vile/vile-manfilt
-lib/vile/vile-mcrl-filt
-lib/vile/vile-midl-filt
-lib/vile/vile-mms-filt
-lib/vile/vile-nr-filt
-lib/vile/vile-pas-filt
-lib/vile/vile-perl-filt
-lib/vile/vile-php-filt
-lib/vile/vile-pot-filt
-lib/vile/vile-ps-filt
-lib/vile/vile-py-filt
-lib/vile/vile-rc-filt
-lib/vile/vile-rcs-filt
-lib/vile/vile-rexx-filt
-lib/vile/vile-rpm-filt
-lib/vile/vile-rtf-filt
-lib/vile/vile-ruby-filt
-lib/vile/vile-sccs-filt
-lib/vile/vile-scheme-filt
-lib/vile/vile-sed-filt
-lib/vile/vile-sh-filt
-lib/vile/vile-sml-filt
-lib/vile/vile-spell-filt
-lib/vile/vile-sql-filt
-lib/vile/vile-tags-filt
-lib/vile/vile-tbl-filt
-lib/vile/vile-tc-filt
-lib/vile/vile-tcl-filt
-lib/vile/vile-texi-filt
-lib/vile/vile-ti-filt
-lib/vile/vile-txt-filt
-lib/vile/vile-vile-filt
-lib/vile/vile-vlog-filt
-lib/vile/vile-wbt-filt
-lib/vile/vile-xml-filt
-lib/vile/vile-xq-filt
-lib/vile/vile-xres-filt
-lib/vile/vile-xs-filt
-lib/vile/vile-yacc-filt
-%%PORTDOCS%%share/doc/vile/Vileserv.doc
-%%PORTDOCS%%share/doc/vile/config.doc
-%%PORTDOCS%%share/doc/vile/dir.doc
-%%PORTDOCS%%share/doc/vile/filters.doc
-%%PORTDOCS%%share/doc/vile/macros.doc
-%%PORTDOCS%%share/doc/vile/menus.doc
-%%PORTDOCS%%share/doc/vile/modes.doc
-%%PORTDOCS%%share/doc/vile/oleauto.doc
-%%PORTDOCS%%share/doc/vile/perl.doc
-%%PORTDOCS%%share/doc/vile/visvile.doc
-share/vile/ada.keywords
-share/vile/ant.keywords
-share/vile/as.keywords
-share/vile/as386.keywords
-share/vile/asm.keywords
-share/vile/au3.keywords
-share/vile/awk.keywords
-share/vile/basic.keywords
-share/vile/bat.keywords
-share/vile/bnf.keywords
-share/vile/c.keywords
-share/vile/color-ls.rc
-share/vile/complete.rc
-share/vile/cpp.keywords
-share/vile/cs.keywords
-share/vile/csh.keywords
-share/vile/css.keywords
-share/vile/cweb.keywords
-share/vile/dates.rc
-share/vile/dcl.keywords
-share/vile/def.keywords
-share/vile/delphi.keywords
-share/vile/diff.keywords
-share/vile/digraphs.rc
-share/vile/docbook.keywords
-share/vile/ecl.keywords
-share/vile/erl.keywords
-share/vile/esql.keywords
-share/vile/est.keywords
-share/vile/fdl.keywords
-share/vile/filters.rc
-share/vile/gnugpg.rc
-share/vile/hs.keywords
-share/vile/html.keywords
-share/vile/imake.keywords
-share/vile/ini.keywords
-share/vile/iss.keywords
-share/vile/java.keywords
-share/vile/js.keywords
-share/vile/latex.keywords
-share/vile/lex.keywords
-share/vile/lisp.keywords
-share/vile/lua.keywords
-share/vile/loaderrs.rc
-share/vile/m4.keywords
-share/vile/macros/color-ls.rc
-share/vile/macros/complete.rc
-share/vile/macros/dates.rc
-share/vile/macros/digraphs.rc
-share/vile/macros/gnugpg.rc
-share/vile/macros/loaderrs.rc
-share/vile/macros/manpage.rc
-share/vile/macros/modes.rc
-share/vile/macros/palettes.rc
-share/vile/macros/pictmode.rc
-share/vile/macros/search.rc
-share/vile/macros/shifts.rc
-share/vile/macros/showeach.rc
-share/vile/macros/vile-pager
-share/vile/macros/vileinit.rc
-share/vile/macros/vilemenu.rc
-share/vile/macros/vileperl.rc
-share/vile/macros/which.rc
-share/vile/mail.keywords
-share/vile/mailcap.keywords
-share/vile/make.keywords
-share/vile/manpage.rc
-share/vile/mcrl.keywords
-share/vile/midl.keywords
-share/vile/modes.rc
-share/vile/mvn.keywords
-share/vile/nr.keywords
-share/vile/nsis.keywords
-share/vile/objc.keywords
-share/vile/palettes.rc
-share/vile/pas.keywords
-share/vile/pc.keywords
-share/vile/perl.keywords
-share/vile/php.keywords
-share/vile/pictmode.rc
-share/vile/pot.keywords
-share/vile/prolog.keywords
-share/vile/ps.keywords
-share/vile/py.keywords
-share/vile/rb.keywords
-share/vile/rc.keywords
-share/vile/rcs.keywords
-share/vile/rexx.keywords
-share/vile/rpm.keywords
-share/vile/rtf.keywords
-share/vile/sccs.keywords
-share/vile/scheme.keywords
-share/vile/search.rc
-share/vile/sh.keywords
-share/vile/shifts.rc
-share/vile/showeach.rc
-share/vile/sml.keywords
-share/vile/spell.rc
-share/vile/sql.keywords
-share/vile/syntax.keywords
-share/vile/tags.keywords
-share/vile/tbl.keywords
-share/vile/tc.keywords
-share/vile/tcl.keywords
-share/vile/tex.keywords
-share/vile/texi.keywords
-share/vile/ti.keywords
-share/vile/vb.keywords
-share/vile/vb6.keywords
-share/vile/vbs.keywords
-share/vile/vile.hlp
-share/vile/vile.keywords
-share/vile/vileinit.rc
-share/vile/vileperl.rc
-share/vile/vim.keywords
-share/vile/vlog.keywords
-share/vile/wbt.keywords
-share/vile/which.rc
-share/vile/xml.keywords
-share/vile/xq.keywords
-share/vile/xres.keywords
-share/vile/xs.keywords
-share/vile/xsl.keywords
-share/vile/yacc.keywords
-@dirrm share/vile/doc
-@dirrm share/vile/macros
-@dirrm share/vile
-@dirrmtry share/doc/vile
+lib/vile/vile-mcrl-filt%%SO_EXT%%
+lib/vile/vile-midl-filt%%SO_EXT%%
+lib/vile/vile-mms-filt%%SO_EXT%%
+lib/vile/vile-nr-filt%%SO_EXT%%
+lib/vile/vile-pas-filt%%SO_EXT%%
+lib/vile/vile-perl-filt%%SO_EXT%%
+lib/vile/vile-php-filt%%SO_EXT%%
+lib/vile/vile-pot-filt%%SO_EXT%%
+lib/vile/vile-ps-filt%%SO_EXT%%
+lib/vile/vile-py-filt%%SO_EXT%%
+lib/vile/vile-rc-filt%%SO_EXT%%
+lib/vile/vile-rcs-filt%%SO_EXT%%
+lib/vile/vile-rexx-filt%%SO_EXT%%
+lib/vile/vile-rpm-filt%%SO_EXT%%
+lib/vile/vile-rtf-filt%%SO_EXT%%
+lib/vile/vile-ruby-filt%%SO_EXT%%
+lib/vile/vile-sccs-filt%%SO_EXT%%
+lib/vile/vile-scheme-filt%%SO_EXT%%
+lib/vile/vile-sed-filt%%SO_EXT%%
+lib/vile/vile-sh-filt%%SO_EXT%%
+lib/vile/vile-sml-filt%%SO_EXT%%
+lib/vile/vile-spell-filt%%SO_EXT%%
+lib/vile/vile-sql-filt%%SO_EXT%%
+lib/vile/vile-tags-filt%%SO_EXT%%
+lib/vile/vile-tbl-filt%%SO_EXT%%
+lib/vile/vile-tc-filt%%SO_EXT%%
+lib/vile/vile-tcl-filt%%SO_EXT%%
+lib/vile/vile-texi-filt%%SO_EXT%%
+lib/vile/vile-ti-filt%%SO_EXT%%
+lib/vile/vile-txt-filt%%SO_EXT%%
+lib/vile/vile-vile-filt%%SO_EXT%%
+lib/vile/vile-vlog-filt%%SO_EXT%%
+lib/vile/vile-wbt-filt%%SO_EXT%%
+lib/vile/vile-xml-filt%%SO_EXT%%
+lib/vile/vile-xq-filt%%SO_EXT%%
+lib/vile/vile-xres-filt%%SO_EXT%%
+lib/vile/vile-xs-filt%%SO_EXT%%
+lib/vile/vile-yacc-filt%%SO_EXT%%
+%%PORTDOCS%%%%DOCSDIR%%/Vileserv.doc
+%%PORTDOCS%%%%DOCSDIR%%/config.doc
+%%PORTDOCS%%%%DOCSDIR%%/dir.doc
+%%PORTDOCS%%%%DOCSDIR%%/filters.doc
+%%PORTDOCS%%%%DOCSDIR%%/macros.doc
+%%PORTDOCS%%%%DOCSDIR%%/menus.doc
+%%PORTDOCS%%%%DOCSDIR%%/modes.doc
+%%PORTDOCS%%%%DOCSDIR%%/oleauto.doc
+%%PORTDOCS%%%%DOCSDIR%%/perl.doc
+%%PORTDOCS%%%%DOCSDIR%%/visvile.doc
+%%DATADIR%%/ada.keywords
+%%DATADIR%%/ant.keywords
+%%DATADIR%%/as.keywords
+%%DATADIR%%/as386.keywords
+%%DATADIR%%/asm.keywords
+%%DATADIR%%/au3.keywords
+%%DATADIR%%/awk.keywords
+%%DATADIR%%/bash.keywords
+%%DATADIR%%/basic.keywords
+%%DATADIR%%/bat.keywords
+%%DATADIR%%/bnf.keywords
+%%DATADIR%%/c.keywords
+%%DATADIR%%/color-ls.rc
+%%DATADIR%%/complete.rc
+%%DATADIR%%/cpp.keywords
+%%DATADIR%%/cs.keywords
+%%DATADIR%%/csh.keywords
+%%DATADIR%%/css.keywords
+%%DATADIR%%/cweb.keywords
+%%DATADIR%%/dates.rc
+%%DATADIR%%/dcl.keywords
+%%DATADIR%%/def.keywords
+%%DATADIR%%/delphi.keywords
+%%DATADIR%%/diff.keywords
+%%DATADIR%%/digraphs.rc
+%%DATADIR%%/docbook.keywords
+%%DATADIR%%/ecl.keywords
+%%DATADIR%%/erl.keywords
+%%DATADIR%%/esql.keywords
+%%DATADIR%%/est.keywords
+%%DATADIR%%/fdl.keywords
+%%DATADIR%%/filters.rc
+%%DATADIR%%/gnugpg.rc
+%%DATADIR%%/hs.keywords
+%%DATADIR%%/html.keywords
+%%DATADIR%%/imake.keywords
+%%DATADIR%%/ini.keywords
+%%DATADIR%%/iss.keywords
+%%DATADIR%%/java.keywords
+%%DATADIR%%/js.keywords
+%%DATADIR%%/ksh.keywords
+%%DATADIR%%/latex.keywords
+%%DATADIR%%/lex.keywords
+%%DATADIR%%/lisp.keywords
+%%DATADIR%%/loaderrs.rc
+%%DATADIR%%/lua.keywords
+%%DATADIR%%/m4.keywords
+%%DATADIR%%/macros/color-ls.rc
+%%DATADIR%%/macros/complete.rc
+%%DATADIR%%/macros/dates.rc
+%%DATADIR%%/macros/digraphs.rc
+%%DATADIR%%/macros/gnugpg.rc
+%%DATADIR%%/macros/loaderrs.rc
+%%DATADIR%%/macros/manpage.rc
+%%DATADIR%%/macros/modes.rc
+%%DATADIR%%/macros/palettes.rc
+%%DATADIR%%/macros/pictmode.rc
+%%DATADIR%%/macros/search.rc
+%%DATADIR%%/macros/shifts.rc
+%%DATADIR%%/macros/showeach.rc
+%%DATADIR%%/macros/vileinit.rc
+%%DATADIR%%/macros/vilemenu.rc
+%%DATADIR%%/macros/vileperl.rc
+%%DATADIR%%/macros/which.rc
+%%DATADIR%%/mail.keywords
+%%DATADIR%%/mailcap.keywords
+%%DATADIR%%/make.keywords
+%%DATADIR%%/manpage.rc
+%%DATADIR%%/mcrl.keywords
+%%DATADIR%%/midl.keywords
+%%DATADIR%%/modes.rc
+%%DATADIR%%/mvn.keywords
+%%DATADIR%%/nr.keywords
+%%DATADIR%%/nsis.keywords
+%%DATADIR%%/objc.keywords
+%%DATADIR%%/palettes.rc
+%%DATADIR%%/pas.keywords
+%%DATADIR%%/pc.keywords
+%%PERL%%%%DATADIR%%/perl/Breadcrumbs.pm
+%%PERL%%%%DATADIR%%/perl/CaptHook.pm
+%%PERL%%%%DATADIR%%/perl/Glob2re.pm
+%%PERL%%%%DATADIR%%/perl/Help.pm
+%%PERL%%%%DATADIR%%/perl/Vile/Exporter.pm
+%%PERL%%%%DATADIR%%/perl/Vile/Manual.pm
+%%PERL%%%%DATADIR%%/perl/Vile.pm
+%%PERL%%%%DATADIR%%/perl/Vileserv.pm
+%%PERL%%%%DATADIR%%/perl/Visit.pm
+%%PERL%%%%DATADIR%%/perl/capture.pm
+%%PERL%%%%DATADIR%%/perl/dict.pm
+%%PERL%%%%DATADIR%%/perl/directory.pm
+%%PERL%%%%DATADIR%%/perl/dirlist.pm
+%%PERL%%%%DATADIR%%/perl/gdb.pm
+%%PERL%%%%DATADIR%%/perl/hgrep.pm
+%%PERL%%%%DATADIR%%/perl/lock.pm
+%%PERL%%%%DATADIR%%/perl/man.pm
+%%PERL%%%%DATADIR%%/perl/mime.pl
+%%PERL%%%%DATADIR%%/perl/plugins.pl
+%%PERL%%%%DATADIR%%/perl/search.pm
+%%PERL%%%%DATADIR%%/perl/shell.pm
+%%PERL%%%%DATADIR%%/perl/spell.pm
+%%PERL%%%%DATADIR%%/perl/winops.pm
+%%DATADIR%%/perl.keywords
+%%DATADIR%%/php.keywords
+%%DATADIR%%/pictmode.rc
+%%DATADIR%%/pot.keywords
+%%DATADIR%%/prolog.keywords
+%%DATADIR%%/ps.keywords
+%%DATADIR%%/py.keywords
+%%DATADIR%%/rb.keywords
+%%DATADIR%%/rc.keywords
+%%DATADIR%%/rcs.keywords
+%%DATADIR%%/rexx.keywords
+%%DATADIR%%/rpm.keywords
+%%DATADIR%%/rtf.keywords
+%%DATADIR%%/sccs.keywords
+%%DATADIR%%/scheme.keywords
+%%DATADIR%%/search.rc
+%%DATADIR%%/sh.keywords
+%%DATADIR%%/shifts.rc
+%%DATADIR%%/showeach.rc
+%%DATADIR%%/sml.keywords
+%%DATADIR%%/spell.rc
+%%DATADIR%%/sql.keywords
+%%DATADIR%%/syntax.keywords
+%%DATADIR%%/tags.keywords
+%%DATADIR%%/tbl.keywords
+%%DATADIR%%/tc.keywords
+%%DATADIR%%/tcl.keywords
+%%DATADIR%%/tex.keywords
+%%DATADIR%%/texi.keywords
+%%DATADIR%%/ti.keywords
+%%DATADIR%%/vb.keywords
+%%DATADIR%%/vb6.keywords
+%%DATADIR%%/vbs.keywords
+%%DATADIR%%/vile.hlp
+%%DATADIR%%/vile.keywords
+%%DATADIR%%/vileinit.rc
+%%DATADIR%%/vileperl.rc
+%%DATADIR%%/vim.keywords
+%%DATADIR%%/vlog.keywords
+%%DATADIR%%/wbt.keywords
+%%DATADIR%%/which.rc
+%%DATADIR%%/xml.keywords
+%%DATADIR%%/xq.keywords
+%%DATADIR%%/xres.keywords
+%%DATADIR%%/xs.keywords
+%%DATADIR%%/xsl.keywords
+%%DATADIR%%/yacc.keywords
+%%DATADIR%%/zsh.keywords
+%%PERL%%@dirrm %%DATADIR%%/perl/Vile
+%%PERL%%@dirrm %%DATADIR%%/perl
+@dirrm %%DATADIR%%/macros
+@dirrm %%DATADIR%%/doc
+@dirrm %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/vile
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"